<?php
/**
* キュークラス
*
* PHP version 5
*
* @package    core
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

class Queue extends Vector
{
	/*
	 * キューからエントリを取り出す
	 *
	 */
	public function dequeue()
	{
		return $this->shift();
	}

	/*
	 * イベントをキューに追加する
	 *
	 */
	public function enqueue( Object $item )
	{
		$this->add( $item );
	}
}
return __FILE__;
